Bug 206754 - 2.6.17-1.2630.fc6 -- INFO: trying to register non-static key.
2.6.17-1.2630.fc6 -- INFO: trying to register non-static key.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Zijlstra
Brian Brock
:
Depends On:
Blocks: FCMETA_LOCKDEP
  Show dependency treegraph
 
Reported: 2006-09-16 02:32 EDT by Miles Lane
Modified: 2014-08-11 01:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 08:48:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[PATCH] SCSI: lockdep annotation in scsi_send_eh_cmnd (1.11 KB, patch)
2006-09-18 12:24 EDT, Peter Zijlstra
no flags Details | Diff

  None (edit)
Description Miles Lane 2006-09-16 02:32:18 EDT
Description of problem:

I have a webcam and a MiniDV camcorder plugged into a ieee1394 pcmcia adapter.
When I booted, I got:

INFO: trying to register non-static key.
the code is fine but needs lockdep annotation.
turning off the locking correctness validator.
 [<c04051ee>] show_trace_log_lvl+0x58/0x171
 [<c0405802>] show_trace+0xd/0x10
 [<c040591b>] dump_stack+0x19/0x1b
 [<c043b29a>] __lock_acquire+0xfd/0x99c
 [<c043c0aa>] lock_acquire+0x4b/0x6d
 [<c0614364>] _spin_lock_irq+0x1f/0x2e
 [<c06124c6>] wait_for_completion_timeout+0x2c/0xba
 [<f9003c4a>] scsi_send_eh_cmnd+0x201/0x35b [scsi_mod]
 [<f9003e0a>] scsi_eh_tur+0x25/0x71 [scsi_mod]
 [<f90046b5>] scsi_error_handler+0x39f/0x95a [scsi_mod]
 [<c04364a9>] kthread+0xc3/0xf2
 [<c0402005>] kernel_thread_helper+0x5/0xb
DWARF2 unwinder stuck at kernel_thread_helper+0x5/0xb
Leftover inexact backtrace:
 [<c0405802>] show_trace+0xd/0x10
 [<c040591b>] dump_stack+0x19/0x1b
 [<c043b29a>] __lock_acquire+0xfd/0x99c
 [<c043c0aa>] lock_acquire+0x4b/0x6d
 [<c0614364>] _spin_lock_irq+0x1f/0x2e
 [<c06124c6>] wait_for_completion_timeout+0x2c/0xba
 [<f9003c4a>] scsi_send_eh_cmnd+0x201/0x35b [scsi_mod]
 [<f9003e0a>] scsi_eh_tur+0x25/0x71 [scsi_mod]
 [<f90046b5>] scsi_error_handler+0x39f/0x95a [scsi_mod]
 [<c04364a9>] kthread+0xc3/0xf2
 [<c0402005>] kernel_thread_helper+0x5/0xb

When I ejected the card, I got:

pccard: card ejected from slot 0
ieee1394: Node removed: ID:BUS[1-00:1023]  GUID[0080880002103eae]
PM: Removing info for ieee1394:0080880002103eae-0
PM: Removing info for ieee1394:0080880002103eae
ieee1394: Node removed: ID:BUS[1-01:1023]  GUID[0090a950000b2255]
PM: Removing info for scsi:2:0:0:0
PM: Removing info for No Bus:target2:0:0
PM: Removing info for No Bus:host2
PM: Removing info for ieee1394:0090a950000b2255-0
PM: Removing info for ieee1394:0090a950000b2255
ieee1394: Node removed: ID:BUS[1-02:1023]  GUID[0090a94000007475]
PM: Removing info for ieee1394:0090a94000007475-0
PM: Removing info for ieee1394:0090a94000007475
BUG: unable to handle kernel NULL pointer dereference at virtual
address 00000000
 printing eip:
f93c23f7
*pde = 00000000
Oops: 0000 [#1]
SMP
last sysfs file: /class/pcmcia_socket/pcmcia_socket0/card_eject
Modules linked in: i915 drm autofs4 hidp l2cap bluetooth
cpufreq_ondemand ipv6 vfat fat dm_mirror dm_mod video sbs i2c_ec
button battery asus_acpi ac parport_pc lp parport dv1394 raw1394 sbp2
joydev snd_intel8x0 snd_seq_dummy snd_seq_oss snd_seq_midi_event
snd_seq snd_seq_device snd_pcm_oss i2c_i801 i2c_core sd_mod
snd_intel8x0m snd_ac97_codec ipw2200 snd_ac97_bus ieee80211
ieee80211_crypt pcspkr snd_mixer_oss sg snd_pcm sdhci snd_timer snd
mmc_core soundcore snd_page_alloc 8139too 8139cp mii serio_raw
ohci1394 ieee1394 ide_cd cdrom usb_storage scsi_mod ext3 jbd ehci_hcd
ohci_hcd uhci_hcd
CPU:    0
EIP:    0060:[<f93c23f7>]    Not tainted VLI
EFLAGS: 00010286   (2.6.17-1.2630.fc6 #1)
EIP is at dv1394_remove_host+0x1a/0xb8 [dv1394]
eax: f9199140   ebx: 00000001   ecx: 00000000   edx: f93c23dd
esi: 00000000   edi: f93c39c8   ebp: ed410e0c   esp: ed410e00
ds: 007b   es: 007b   ss: 0068
Process pccardctl (pid: 17878, ti=ed410000 task=dff1cab0 task.ti=ed410000)
Stack: f93c5ba0 f7688000 f93c5ba0 ed410e28 f9161410 00000000 00000206 f93c5ba0
      f7688000 f911662c ed410e38 f91616b8 f7688000 f768ae28 ed410e44 f91610c4
      dfe0c02c ed410e5c f910febe f768ab48 dfe0c02c dfe0c074 f911662c ed410e68
Call Trace:
 [<f9161410>] __unregister_host+0x1b/0x95 [ieee1394]
 [<f91616b8>] highlevel_remove_host+0x24/0x47 [ieee1394]
 [<f91610c4>] hpsb_remove_host+0x3b/0x5b [ieee1394]
 [<f910febe>] ohci1394_pci_remove+0x48/0x1d5 [ohci1394]
 [<c04f3ed3>] pci_device_remove+0x19/0x2c
 [<c0554fcf>] __device_release_driver+0x63/0x79
 [<c0555224>] device_release_driver+0x2e/0x3e
 [<c055490d>] bus_remove_device+0x81/0x91
 [<c05538c2>] device_del+0x115/0x149
 [<c0553901>] device_unregister+0xb/0x15
 [<c04f1c21>] pci_remove_bus_device+0x3c/0xc6
 [<c04f1cc8>] pci_remove_behind_bridge+0x1d/0x31
 [<c057872e>] cb_free+0x1a/0x1d
 [<c0575757>] socket_shutdown+0x70/0xd7
 [<c05757db>] socket_remove+0x1d/0x24
 [<c0575824>] pcmcia_eject_card+0x42/0x50
 [<c0578172>] pccard_store_eject+0x1c/0x24
 [<c0556230>] class_device_attr_store+0x1d/0x22
 [<c04aa408>] sysfs_write_file+0xab/0xd1
 [<c04735a8>] vfs_write+0xab/0x157
 [<c0473bed>] sys_write+0x3b/0x60
 [<c0403faf>] syscall_call+0x7/0xb
DWARF2 unwinder stuck at syscall_call+0x7/0xb
Leftover inexact backtrace:
 [<c0405391>] show_stack_log_lvl+0x8a/0x95
 [<c04054c9>] show_registers+0x12d/0x19a
 [<c04056c6>] die+0x190/0x293
 [<c06156c5>] do_page_fault+0x3dc/0x4a4
 [<c0404be1>] error_code+0x39/0x40
 [<f9161410>] __unregister_host+0x1b/0x95 [ieee1394]
 [<f91616b8>] highlevel_remove_host+0x24/0x47 [ieee1394]
 [<f91610c4>] hpsb_remove_host+0x3b/0x5b [ieee1394]
 [<f910febe>] ohci1394_pci_remove+0x48/0x1d5 [ohci1394]
 [<c04f3ed3>] pci_device_remove+0x19/0x2c
 [<c0554fcf>] __device_release_driver+0x63/0x79
 [<c0555224>] device_release_driver+0x2e/0x3e
 [<c055490d>] bus_remove_device+0x81/0x91
 [<c05538c2>] device_del+0x115/0x149
 [<c0553901>] device_unregister+0xb/0x15
 [<c04f1c21>] pci_remove_bus_device+0x3c/0xc6
 [<c04f1cc8>] pci_remove_behind_bridge+0x1d/0x31
 [<c057872e>] cb_free+0x1a/0x1d
 [<c0575757>] socket_shutdown+0x70/0xd7
 [<c05757db>] socket_remove+0x1d/0x24
 [<c0575824>] pcmcia_eject_card+0x42/0x50
 [<c0578172>] pccard_store_eject+0x1c/0x24
 [<c0556230>] class_device_attr_store+0x1d/0x22
 [<c04aa408>] sysfs_write_file+0xab/0xd1
 [<c04735a8>] vfs_write+0xab/0x157
 [<c0473bed>] sys_write+0x3b/0x60
 [<c0403faf>] syscall_call+0x7/0xb
Code: 20 25 c7 89 da 89 9e 90 00 00 00 eb d8 5b 5e 5d c3 55 89 e5 57
bf c8 39 3c f9 56 53 8b 98 44 2b 00 00 8b 80 3c 2b 00 00 8b 70 04 <ac>
ae 75 08 84 c0 75 f8 31 c0 eb 04 19 c0 0c 01 85 c0 0f 85 81
EIP: [<f93c23f7>] dv1394_remove_host+0x1a/0xb8 [dv1394] SS:ESP 0068:ed410e00

Version-Release number of selected component (if applicable):

2.6.17-1.2630.fc6

How reproducible:

I will check.

Steps to Reproduce:
1. Boot
2. pccardctl eject
3. pull card
  
I will add additional hardware info soon.
Comment 1 Miles Lane 2006-09-16 02:35:06 EDT
David Jones told me to mark this bug as blocking FCMETA_LOCKDEP.
Comment 2 Peter Zijlstra 2006-09-18 12:24:53 EDT
Created attachment 136550 [details]
[PATCH] SCSI: lockdep annotation in scsi_send_eh_cmnd

Miles, could you retry with this patch?
DaveJ, this is included in the latest -git, so a resync should get us this
change.
Comment 3 Peter Zijlstra 2006-09-26 08:48:14 EDT
Sorry, mouse slipped, it most definately was a bug, should be fixed now.
Comment 4 Miles Lane 2006-09-26 08:52:54 EDT
Peter, is it OK if I try it when it shows up in a rawhide kernel?  I don't know
the whole rawhide kernel build process.  I am sure that I could do it, but I am
usually busy testing Andrew's MM tree.
Comment 5 Peter Zijlstra 2006-09-26 08:59:19 EDT
It should either be in the current or the next rawhide kernel, not quite sure.
Let me know if you still have troubles after the next update.

Note You need to log in before you can comment on or make changes to this bug.